#!/bin/bash

depends() {
  echo udev-rules zfs
  return 0
}

install() {
  # Install the appropriate binaries and libraries
  inst_multiple /usr/bin /usr/bin/zlevis* /usr/bin/jose /usr/bin/tpm2* /usr/bin/mktemp
  inst_multiple /usr/lib /usr/lib/libtss2-tcti*

  # Run the zlevis decryption hook before the 90zfs hook
  inst_hook pre-mount 85 "${moddir}/zlevis.sh"
  inst_simple "${moddir}/zlevis.sh" "/sbin/zlevis.sh"
}
